Workflow Statuses

The Workflow Status object represents the current state of a task, enabling users to define and monitor task stages.

Every Workflow can have multiple Workflow statuses.
There are three Workflow status categories:

  • not_started
  • started
  • closed

Attributes

category_id integer
Response Request Parameter `filter` Enum

The lifecycle category of this status: 1=Not started, 2=Started, 3=Closed.

Enum Values (3 values)

  • 1
    Not started
  • 2
    Started
  • 3
    Closed
color_id integer
Response Request

The color identifier used to visually distinguish this status.

id integer
Parameter `filter`

The unique identifier of this workflow status.

name string
Response Request Parameter `filter` Parameter `sort`

The display name of this workflow status.

organization organization
Response

The organization this workflow status belongs to.

position integer
Response Request Parameter `sort`

The display order of this status within its workflow.

query string
Parameter `filter`

Text search query to filter workflow statuses by name.

workflow workflow
Response

The workflow this status belongs to.

workflow_id integer
Request Parameter `filter`

ID of the workflow this status belongs to.